## r-cran-fastcluster 1.1.11

=== DESCRIPTION ===
Package: fastcluster
Encoding: UTF-8
Type: Package
Version: 1.1.11
Date: 2013-05-23
Title: Fast hierarchical clustering routines for R and Python
Authors@R: person("Daniel", "Müllner", email =
        "muellner@math.stanford.edu", role = c("aut", "cph", "cre"))
Author: Daniel Müllner, http://math.stanford.edu/~muellner
Maintainer: Daniel Müllner <muellner@math.stanford.edu>
Enhances: stats, flashClust
Description: This is a two-in-one package which provides interfaces to
        both R and Python. It implements fast hierarchical,
        agglomerative clustering routines. Part of the functionality is
        designed as drop-in replacement for existing routines:
        “linkage” in the SciPy package “scipy.cluster.hierarchy”,
        “hclust” in R's “stats” package, and the “flashClust” package.
        It provides the same functionality with the benefit of a much
        faster implementation. Moreover, there are memory-saving
        routines for clustering of vector data, which go beyond what
        the existing packages provide. For information on how to
        install the Python files, see the file INSTALL in the source
        distribution.
License: FreeBSD | GPL-2 | file LICENSE
URL: http://math.stanford.edu/~muellner/fastcluster.html
BuildVignettes: False
Packaged: 2013-05-23 23:13:18 UTC; muellner
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-05-24 01:24:06

=== debian/changelog ===
r-cran-fastcluster (1.1.11-1) unstable; urgency=low

  * Initial release (closes: #720477)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Aug 2013 16:50:16 +0200

=== debian/control ===
Source: r-cran-fastcluster
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
Homepage: http://cran.r-project.org/web/packages/fastcluster/index.html

Package: r-cran-fastcluster
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends}
Description: Fast hierarchical clustering routines for GNU R
 Fastcluster implements fast hierarchical, agglomerative clustering
 routines. Part of the functionality is designed as drop-in replacement
 for existing routines: “linkage” in the SciPy package
 “scipy.cluster.hierarchy”, “hclust” in R's “stats” package, and the
 “flashClust” package. It provides the same functionality with the
 benefit of a much faster implementation. Moreover, there are
 memory-saving routines for clustering of vector data, which go beyond
 what the existing packages provide. For information on how to install
 the Python files, see the file INSTALL in the source distribution.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranName)/LICENSE

## r-cran-fastcluster 1.1.13

=== DESCRIPTION ===
Package: fastcluster
Encoding: UTF-8
Type: Package
Version: 1.1.13
Date: 2013-12-17
Title: Fast hierarchical clustering routines for R and Python
Authors@R: person("Daniel", "Müllner", email =
        "daniel@danifold.net", role = c("aut", "cph", "cre"))
Author: Daniel Müllner, http://danifold.net
Maintainer: Daniel Müllner <daniel@danifold.net>
Enhances: stats, flashClust
Description: This is a two-in-one package which provides interfaces to
        both R and Python. It implements fast hierarchical, agglomerative
        clustering routines. Part of the functionality is designed as drop-in
        replacement for existing routines: “linkage” in the SciPy package
        “scipy.cluster.hierarchy”, “hclust” in R's “stats” package, and the
        “flashClust” package. It provides the same functionality with the
        benefit of a much faster implementation. Moreover, there are
        memory-saving routines for clustering of vector data, which go beyond
        what the existing packages provide. For information on how to install
        the Python files, see the file INSTALL in the source distribution.
License: FreeBSD | GPL-2 | file LICENSE
URL: http://danifold.net/fastcluster.html
Packaged: 2013-12-17 08:20:14 UTC; muellner
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-17 11:08:18

=== debian/changelog ===
r-cran-fastcluster (1.1.13-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jun 2014 12:12:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
 Homepage: http://cran.r-project.org/web/packages/fastcluster/index.html
@@ -25,4 +26,3 @@
  memory-saving routines for clustering of vector data, which go beyond
  what the existing packages provide. For information on how to install
  the Python files, see the file INSTALL in the source distribution.
-

## r-cran-fastcluster 1.1.16

=== DESCRIPTION ===
Package: fastcluster
Encoding: UTF-8
Type: Package
Version: 1.1.16
Date: 2015-01-07
Title: Fast Hierarchical Clustering Routines for R and Python
Authors@R: person("Daniel", "Müllner", email = "daniel@danifold.net", role = c("aut", "cph", "cre"))
Enhances: stats, flashClust
Depends: R (>= 3.0.0)
Description: This is a two-in-one package which provides interfaces to
        both R and Python. It implements fast hierarchical, agglomerative
        clustering routines. Part of the functionality is designed as drop-in
        replacement for existing routines: "linkage" in the SciPy package
        "scipy.cluster.hierarchy", "hclust" in R's "stats" package, and the
        "flashClust" package. It provides the same functionality with the
        benefit of a much faster implementation. Moreover, there are
        memory-saving routines for clustering of vector data, which go beyond
        what the existing packages provide. For information on how to install
        the Python files, see the file INSTALL in the source distribution.
License: FreeBSD | GPL-2 | file LICENSE
URL: http://danifold.net/fastcluster.html
Packaged: 2015-02-17 20:01:45 UTC; muellner
Author: Daniel Müllner [aut, cph, cre]
Maintainer: Daniel Müllner <daniel@danifold.net>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-02-17 23:53:22

=== debian/changelog ===
r-cran-fastcluster (1.1.16-2) unstable; urgency=medium

  * Create Python modules as well (Thanks for the hint to Gard Spreemann
    <gspreemann@gmail.com>)
    Closes:  #808743

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2016 19:05:45 +0100

r-cran-fastcluster (1.1.16-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 07 Aug 2015 13:09:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
-               cdbs,
-               r-base-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
+               dh-python,
+               r-base-dev,
+               python-dev,
+               python-numpy,
+               python3-dev,
+               python3-numpy
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
 Homepage: http://cran.r-project.org/web/packages/fastcluster/index.html
 
 Package: r-cran-fastcluster
 Architecture: any
 Depends: ${shlibs:Depends},
+         ${misc:Depends},
          ${R:Depends}
 Description: Fast hierarchical clustering routines for GNU R
  Fastcluster implements fast hierarchical, agglomerative clustering
@@ -26,3 +30,54 @@
  memory-saving routines for clustering of vector data, which go beyond
  what the existing packages provide. For information on how to install
  the Python files, see the file INSTALL in the source distribution.
+
+Package: python-fastcluster
+Architecture: any
+Section: python
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python:Depends}
+Description: Fast hierarchical clustering routines for Python
+ This library provides Python functions for hierarchical
+ clustering. It generates hierarchical clusters from distance matrices
+ or from vector data.
+ .
+ Part of this module is intended to replace the functions
+ .
+     linkage, single, complete, average, weighted, centroid, median, ward
+ .
+ in the module scipy.cluster.hierarchy with the same functionality but
+ much faster algorithms. Moreover, the function 'linkage_vector'
+ provides memory-efficient clustering for vector data.
+ .
+ The interface is very similar to MATLAB's Statistics Toolbox API to
+ make code easier to port from MATLAB to Python/Numpy. The core
+ implementation of this library is in C++ for efficiency.
+ .
+ This package provides the package's Python interface.
+
+Package: python3-fastcluster
+Architecture: any
+Section: python
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python3:Depends}
+Description: Fast hierarchical clustering routines for Python 3
+ This library provides Python functions for hierarchical
+ clustering. It generates hierarchical clusters from distance matrices
+ or from vector data.
+ .
+ Part of this module is intended to replace the functions
+ .
+     linkage, single, complete, average, weighted, centroid, median, ward
+ .
+ in the module scipy.cluster.hierarchy with the same functionality but
+ much faster algorithms. Moreover, the function 'linkage_vector'
+ provides memory-efficient clustering for vector data.
+ .
+ The interface is very similar to MATLAB's Statistics Toolbox API to
+ make code easier to port from MATLAB to Python/Numpy. The core
+ implementation of this library is in C++ for efficiency.
+ .
+ This package provides the package's Python 3 interface.
+

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

export PYBUILD_NAME=fastcluster

cranName=fastcluster
R_PATH=/usr/lib/R/site-library
R_NAME=r-cran-$(cranName)

# Taken from CDBS file for R.
rversion	:= $(shell dpkg-query -W -f='$${Version}' r-base-dev)
rapiversion	:= $(shell dpkg-query -W -f='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --sourcedirectory=src/python 

override_dh_auto_clean:
	dh_auto_clean

	# Parts of the following are taken from the CDBS file for F.
	if test -d src; then				\
		find src -regex ".*\.o" |               \
	        xargs --no-run-if-empty -r rm;          \
		find src src -regex ".*\.so" |          \
		xargs --no-run-if-empty -r rm;		\
	fi
	rm -f config.log config.status
	rm -rf tmp-install

override_dh_auto_build:
	dh_auto_build
	mkdir -p tmp-install
	R CMD INSTALL -l tmp-install --clean .


override_dh_install:
	dh_numpy
	dh_numpy3
	echo "R:Depends=r-base-core (>= ${rversion}), ${rapiversion}" >> debian/$(R_NAME).substvars
	dh_install
	rm -rf debian/$(R_NAME)/usr/lib/R/site-library/$(cranName)/LICENSE

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fastcluster_([-\d.]*)\.tar\.gz

## r-cran-fastcluster 1.1.22

=== debian/changelog ===
r-cran-fastcluster (1.1.22-1) unstable; urgency=medium

  * New upstream version
  * Recommends: python-scipy, python3-scipy

 -- Andreas Tille <tille@debian.org>  Sun, 11 Dec 2016 08:34:00 +0100

r-cran-fastcluster (1.1.21-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * Add new Build-Depends: python-setuptools, python3-setuptools,
    python-scipy and python3-scipy
  * d/watch: version=4
  * debhelper 10
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2016 14:53:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,30 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
+               dh-r,
                r-base-dev,
                python-dev,
                python-numpy,
+               python-setuptools,
+               python-scipy,
                python3-dev,
-               python3-numpy
-Standards-Version: 3.9.6
+               python3-numpy,
+               python3-setuptools,
+               python3-scipy
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
-Homepage: http://cran.r-project.org/web/packages/fastcluster/index.html
+Homepage: https://cran.r-project.org/package=fastcluster
 
 Package: r-cran-fastcluster
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: Fast hierarchical clustering routines for GNU R
  Fastcluster implements fast hierarchical, agglomerative clustering
  routines. Part of the functionality is designed as drop-in replacement
@@ -37,6 +44,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python:Depends}
+Recommends: python-scipy
 Description: Fast hierarchical clustering routines for Python
  This library provides Python functions for hierarchical
  clustering. It generates hierarchical clusters from distance matrices
@@ -62,6 +70,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends}
+Recommends: python3-scipy
 Description: Fast hierarchical clustering routines for Python 3
  This library provides Python functions for hierarchical
  clustering. It generates hierarchical clusters from distance matrices

## r-cran-fastcluster 1.1.24

=== DESCRIPTION ===
Package: fastcluster
Encoding: UTF-8
Type: Package
Version: 1.1.24
Date: 2017-08-14
Title: Fast Hierarchical Clustering Routines for R and Python
Authors@R: person("Daniel", "Müllner", email = "daniel@danifold.net", role = c("aut", "cph", "cre"))
Copyright: Until package version 1.1.23: © 2011 Daniel Müllner
        <http://danifold.net>. All changes from version 1.1.24 on: ©
        Google Inc. <http://google.com>.
Enhances: stats, flashClust
Depends: R (>= 3.0.0)
Description: This is a two-in-one package which provides interfaces to
        both R and Python. It implements fast hierarchical, agglomerative
        clustering routines. Part of the functionality is designed as drop-in
        replacement for existing routines: linkage() in the SciPy package
        'scipy.cluster.hierarchy', hclust() in R's 'stats' package, and the
        'flashClust' package. It provides the same functionality with the
        benefit of a much faster implementation. Moreover, there are
        memory-saving routines for clustering of vector data, which go beyond
        what the existing packages provide. For information on how to install
        the Python files, see the file INSTALL in the source distribution.
License: FreeBSD | GPL-2 | file LICENSE
URL: http://danifold.net/fastcluster.html
NeedsCompilation: yes
Packaged: 2017-08-20 21:16:52 UTC; muellner
Author: Daniel Müllner [aut, cph, cre]
Maintainer: Daniel Müllner <daniel@danifold.net>
Repository: CRAN
Date/Publication: 2017-08-21 10:36:48 UTC

=== debian/changelog ===
r-cran-fastcluster (1.1.24-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 17:03:04 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                python3-numpy,
                python3-setuptools,
                python3-scipy
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-fastcluster/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-fastcluster.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-fastcluster.git
 Homepage: https://cran.r-project.org/package=fastcluster
 
 Package: r-cran-fastcluster
@@ -89,4 +89,3 @@
  implementation of this library is in C++ for efficiency.
  .
  This package provides the package's Python 3 interface.
-

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export PYBUILD_NAME=fastcluster

# Taken from CDBS file for R.
rversion	:= $(shell dpkg-query -W -f='$${Version}' r-base-dev)
rapiversion	:= $(shell dpkg-query -W -f='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

%:
	dh $@  --buildsystem R --with python2,python3 --buildsystem=pybuild --sourcedirectory=src/python 

override_dh_auto_clean:
	dh_auto_clean || true

	# Parts of the following are taken from the CDBS file for F.
	if test -d src; then				\
		find src -regex ".*\.o" |               \
	        xargs --no-run-if-empty -r rm;          \
		find src src -regex ".*\.so" |          \
		xargs --no-run-if-empty -r rm;		\
	fi
	rm -f config.log config.status
	rm -rf tmp-install

override_dh_auto_build:
	dh_auto_build
	mkdir -p tmp-install
	R CMD INSTALL -l tmp-install --clean .


override_dh_install:
	dh_numpy
	dh_numpy3
	dh_install
	find debian -name LICENSE -delete

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/fastcluster_([-\d.]*)\.tar\.gz

## r-cran-fastcluster 1.1.25

=== DESCRIPTION ===
Package: fastcluster
Encoding: UTF-8
Type: Package
Version: 1.1.25
Date: 2018-05-29
Title: Fast Hierarchical Clustering Routines for R and 'Python'
Authors@R: c(person("Daniel", "Müllner", email = "daniel@danifold.net", role = c("aut", "cph", "cre")),
             person("Google Inc.", role="cph"))
Copyright: Until package version 1.1.23: © 2011 Daniel Müllner
        <http://danifold.net>. All changes from version 1.1.24 on: ©
        Google Inc. <http://google.com>.
Enhances: stats, flashClust
Depends: R (>= 3.0.0)
Description: This is a two-in-one package which provides interfaces to
        both R and 'Python'. It implements fast hierarchical, agglomerative
        clustering routines. Part of the functionality is designed as drop-in
        replacement for existing routines: linkage() in the 'SciPy' package
        'scipy.cluster.hierarchy', hclust() in R's 'stats' package, and the
        'flashClust' package. It provides the same functionality with the
        benefit of a much faster implementation. Moreover, there are
        memory-saving routines for clustering of vector data, which go beyond
        what the existing packages provide. For information on how to install
        the 'Python' files, see the file INSTALL in the source distribution.
        Based on the present package, Christoph Dalitz also wrote a pure 'C++'
        interface to 'fastcluster':
        <http://informatik.hsnr.de/~dalitz/data/hclust>.
License: FreeBSD | GPL-2 | file LICENSE
URL: http://danifold.net/fastcluster.html
NeedsCompilation: yes
Packaged: 2018-06-07 17:28:36 UTC; muellner
Author: Daniel Müllner [aut, cph, cre],
  Google Inc. [cph]
Maintainer: Daniel Müllner <daniel@danifold.net>
Repository: CRAN
Date/Publication: 2018-06-07 19:00:32 UTC

=== debian/changelog ===
r-cran-fastcluster (1.1.25-2) unstable; urgency=medium

  * Build-Depends: python3-all-dev (thanks to Piotr Ożarowski)
    Closes: #910284
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 05 Oct 2018 11:07:48 +0200

r-cran-fastcluster (1.1.25-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 10:00:36 +0200

r-cran-fastcluster (1.1.24-3) unstable; urgency=medium

  * Fix installation of R package

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jun 2018 14:04:53 +0200

r-cran-fastcluster (1.1.24-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file
  * Fix installation of R package

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jun 2018 13:09:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: r-cran-fastcluster
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-python,
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
+               dh-python,
                python-dev,
                python-numpy,
                python-setuptools,
                python-scipy,
-               python3-dev,
+               python3-all-dev,
                python3-numpy,
                python3-setuptools,
                python3-scipy
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-fastcluster.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-fastcluster.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastcluster
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastcluster.git
 Homepage: https://cran.r-project.org/package=fastcluster
 
 Package: r-cran-fastcluster
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Fast hierarchical clustering routines for GNU R

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 rapiversion	:= $(shell dpkg-query -W -f='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')
 
 %:
-	dh $@  --buildsystem R --with python2,python3 --buildsystem=pybuild --sourcedirectory=src/python 
+	dh $@ --with python2,python3 --buildsystem=pybuild --sourcedirectory=src/python 
 
 override_dh_auto_clean:
 	dh_auto_clean || true
@@ -26,11 +26,10 @@
 	rm -f config.log config.status
 	rm -rf tmp-install
 
-override_dh_auto_build:
-	dh_auto_build
-	mkdir -p tmp-install
-	R CMD INSTALL -l tmp-install --clean .
-
+override_dh_auto_install:
+	dh_auto_install -O--buildsystem=R --sourcedirectory=$(CURDIR)
+	mv debian/tmp tmp-install
+	dh_auto_install
 
 override_dh_install:
 	dh_numpy

## r-cran-fastcluster 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: fastcluster
 Encoding: UTF-8
 Type: Package
-Version: 1.1.25
-Date: 2018-05-29
+Version: 1.2.3
+Date: 2021-05-24
 Title: Fast Hierarchical Clustering Routines for R and 'Python'
 Authors@R: c(person("Daniel", "Müllner", email = "daniel@danifold.net", role = c("aut", "cph", "cre")),
              person("Google Inc.", role="cph"))
@@ -23,13 +23,13 @@
         the 'Python' files, see the file INSTALL in the source distribution.
         Based on the present package, Christoph Dalitz also wrote a pure 'C++'
         interface to 'fastcluster':
-        <http://informatik.hsnr.de/~dalitz/data/hclust>.
+        <https://lionel.kr.hs-niederrhein.de/~dalitz/data/hclust/>.
 License: FreeBSD | GPL-2 | file LICENSE
 URL: http://danifold.net/fastcluster.html
 NeedsCompilation: yes
-Packaged: 2018-06-07 17:28:36 UTC; muellner
+Packaged: 2021-05-24 17:28:44 UTC; muellner
 Author: Daniel Müllner [aut, cph, cre],
   Google Inc. [cph]
 Maintainer: Daniel Müllner <daniel@danifold.net>
 Repository: CRAN
-Date/Publication: 2018-06-07 19:00:32 UTC
+Date/Publication: 2021-05-24 23:50:06 UTC

=== vignettes/Makefile ===
all:
	latex fastcluster.Rtex
	latex fastcluster.Rtex
	latex fastcluster.Rtex
	dvipdfmx fastcluster.dvi
	mkdir keep
	mv fastcluster.pdf keep
	mv fastcluster.Rtex keep
	rm fastcluster.*
	mv keep/* .
	rmdir keep

=== debian/changelog ===
r-cran-fastcluster (1.2.3-2) unstable; urgency=medium

  * Disable reprotest
  * Disable blhc
  * Fix copyright
    Closes: #1030145
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 10:18:00 +0100

r-cran-fastcluster (1.2.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove Testsuite on python3-fastcluster that duplicates source.

 -- Andreas Tille <tille@debian.org>  Sun, 19 Sep 2021 08:56:55 +0200

r-cran-fastcluster (1.1.25-3) unstable; urgency=medium

  * Drop support for python 2.7, stop building the python-fastcluster binary
    package (Closes: #938335)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 27 Sep 2019 17:49:21 +0000

=== debian/control ===
Source: r-cran-fastcluster
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastcluster
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastcluster.git
Homepage: https://cran.r-project.org/package=fastcluster
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               dh-python,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               python3-scipy
Testsuite: autopkgtest-pkg-r

Package: r-cran-fastcluster
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Fast hierarchical clustering routines for GNU R
 Fastcluster implements fast hierarchical, agglomerative clustering
 routines. Part of the functionality is designed as drop-in replacement
 for existing routines: “linkage” in the SciPy package
 “scipy.cluster.hierarchy”, “hclust” in R's “stats” package, and the
 “flashClust” package. It provides the same functionality with the
 benefit of a much faster implementation. Moreover, there are
 memory-saving routines for clustering of vector data, which go beyond
 what the existing packages provide. For information on how to install
 the Python files, see the file INSTALL in the source distribution.

Package: python3-fastcluster
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: python3-scipy
Description: Fast hierarchical clustering routines for Python 3
 This library provides Python functions for hierarchical
 clustering. It generates hierarchical clusters from distance matrices
 or from vector data.
 .
 Part of this module is intended to replace the functions
 .
     linkage, single, complete, average, weighted, centroid, median, ward
 .
 in the module scipy.cluster.hierarchy with the same functionality but
 much faster algorithms. Moreover, the function 'linkage_vector'
 provides memory-efficient clustering for vector data.
 .
 The interface is very similar to MATLAB's Statistics Toolbox API to
 make code easier to port from MATLAB to Python/Numpy. The core
 implementation of this library is in C++ for efficiency.
 .
 This package provides the package's Python 3 interface.

## r-cran-fastcluster 1.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: fastcluster
 Encoding: UTF-8
 Type: Package
-Version: 1.2.3
-Date: 2021-05-24
+Version: 1.2.6
+Date: 2023-12-22
 Title: Fast Hierarchical Clustering Routines for R and 'Python'
 Authors@R: c(person("Daniel", "Müllner", email = "daniel@danifold.net", role = c("aut", "cph", "cre")),
              person("Google Inc.", role="cph"))
 Copyright: Until package version 1.1.23: © 2011 Daniel Müllner
-        <http://danifold.net>. All changes from version 1.1.24 on: ©
-        Google Inc. <http://google.com>.
+        <https://danifold.net>. All changes from version 1.1.24 on: ©
+        Google Inc. <https://www.google.com>.
 Enhances: stats, flashClust
 Depends: R (>= 3.0.0)
 Description: This is a two-in-one package which provides interfaces to
@@ -25,11 +25,11 @@
         interface to 'fastcluster':
         <https://lionel.kr.hs-niederrhein.de/~dalitz/data/hclust/>.
 License: FreeBSD | GPL-2 | file LICENSE
-URL: http://danifold.net/fastcluster.html
+URL: https://danifold.net/fastcluster.html
 NeedsCompilation: yes
-Packaged: 2021-05-24 17:28:44 UTC; muellner
+Packaged: 2023-12-22 20:04:59 UTC; muellner
 Author: Daniel Müllner [aut, cph, cre],
   Google Inc. [cph]
 Maintainer: Daniel Müllner <daniel@danifold.net>
 Repository: CRAN
-Date/Publication: 2021-05-24 23:50:06 UTC
+Date/Publication: 2024-01-12 22:30:02 UTC

=== debian/changelog ===
r-cran-fastcluster (1.2.6-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:03:17 +0000

r-cran-fastcluster (1.2.6-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * NEWS is now NEWS.md

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 14:50:11 +0100

r-cran-fastcluster (1.2.3-3) unstable; urgency=medium

  * Fix clean target
    Closes: #1049523, #1045485
  * Drop r-cran-runit from Test-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 13:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-numpy,
                python3-setuptools,

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr

## r-cran-fastcluster 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: fastcluster
 Encoding: UTF-8
 Type: Package
-Version: 1.2.6
-Date: 2023-12-22
+Version: 1.3.0
+Date: 2025-05-07
 Title: Fast Hierarchical Clustering Routines for R and 'Python'
 Authors@R: c(person("Daniel", "Müllner", email = "daniel@danifold.net", role = c("aut", "cph", "cre")),
              person("Google Inc.", role="cph"))
@@ -27,9 +27,9 @@
 License: FreeBSD | GPL-2 | file LICENSE
 URL: https://danifold.net/fastcluster.html
 NeedsCompilation: yes
-Packaged: 2023-12-22 20:04:59 UTC; muellner
+Packaged: 2025-05-07 06:30:40 UTC; muellner
 Author: Daniel Müllner [aut, cph, cre],
   Google Inc. [cph]
 Maintainer: Daniel Müllner <daniel@danifold.net>
 Repository: CRAN
-Date/Publication: 2024-01-12 22:30:02 UTC
+Date/Publication: 2025-05-07 07:50:02 UTC

=== debian/changelog ===
r-cran-fastcluster (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.  Closes: #1100292
  * Standards-Version: 4.7.2 (routine-update)
  * Add missing build dependency on python3-numpy-dev for command dh_numpy3.

 -- Charles Plessy <plessy@debian.org>  Thu, 08 May 2025 11:42:23 +0900

r-cran-fastcluster (1.2.6-2) unstable; urgency=medium

  * Team upload.
  * Added patch for numpy 2.x support. Closes: #1094704
  * d/upstream/metadata: link to their GitHub repo
  * d/control: link to the homepage made by the author
  * Standards-Version: 4.7.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Feb 2025 11:02:52 +0100

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export PYBUILD_NAME=fastcluster

# Taken from CDBS file for R.
rversion	:= $(shell dpkg-query -W -f='$${Version}' r-base-dev)
rapiversion	:= $(shell dpkg-query -W -f='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

%:
	dh $@ --buildsystem=pybuild --sourcedirectory=src/python

override_dh_auto_clean:
	dh_auto_clean || true

	if test -d src; then			\
		find src -name "*.o"  -delete ; \
		find src -name "*.so" -delete ; \
	fi
	rm -f config.log config.status
	rm -rf tmp-install

override_dh_auto_install:
	dh_auto_install -O--buildsystem=R --sourcedirectory=$(CURDIR)
	mv debian/tmp tmp-install
	dh_auto_install

override_dh_install:
	dh_numpy3
	dh_install
	find debian -name LICENSE -delete

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/fastcluster_([-\d.]*)\.tar\.gz
